<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.Menu?>
<?import javafx.scene.control.MenuBar?>
<?import javafx.scene.control.MenuItem?>
<?import javafx.scene.control.TableColumn?>
<?import javafx.scene.control.TableView?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.text.Font?>

<AnchorPane maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="816.0" prefWidth="1000.0" xmlns="http://javafx.com/javafx/8.0.171" xmlns:fx="http://javafx.com/fxml/1" fx:controller="com.mycompany.javaproject.financialController">
   <children>
      <MenuBar layoutX="32.0" layoutY="9.0" prefHeight="23.0" prefWidth="844.0" AnchorPane.bottomAnchor="784.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0">
        <menus>
          <Menu mnemonicParsing="false" text="Tenants">
            <items>
              <MenuItem mnemonicParsing="false" onAction="#switchToTenants" text="View Tenants" />
            </items>
          </Menu>
          <Menu mnemonicParsing="false" text="Properties">
            <items>
              <MenuItem mnemonicParsing="false" onAction="#switchToProperties" text="View Properties" />
                  <MenuItem disable="true" mnemonicParsing="false" text="View Financial Institutions" />
            </items>
          </Menu>
          <Menu mnemonicParsing="false" text="Maintenance">
            <items>
              <MenuItem mnemonicParsing="false" onAction="#switchToMaintenance" text="View Maintenance" />
                  <MenuItem mnemonicParsing="false" onAction="#switchToContractor" text="View Contractors" />
            </items>
          </Menu>
        </menus>
      </MenuBar>
      <TableView fx:id="financialReport" layoutX="175.0" layoutY="115.0" prefHeight="353.0" prefWidth="1129.0" AnchorPane.bottomAnchor="433.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="30.0">
        <columns>
          <TableColumn fx:id="nameCol" prefWidth="500.0" text="Name" />
            <TableColumn fx:id="rateCol" prefWidth="500.0" text="Rate %" />
        </columns>
      </TableView>
      <Label layoutX="21.0" layoutY="408.0" text="Name: ">
         <font>
            <Font size="22.0" />
         </font>
      </Label>
      <Label layoutX="21.0" layoutY="485.0" text="Rate %: ">
         <font>
            <Font size="22.0" />
         </font>
      </Label>
      <Label fx:id="warning" layoutX="167.0" layoutY="723.0">
         <font>
            <Font size="12.0" />
         </font>
      </Label>
      <TextField fx:id="name" layoutX="90.0" layoutY="409.0" />
      <TextField fx:id="rate" layoutX="100.0" layoutY="486.0" />
      <Button layoutX="590.0" layoutY="425.0" mnemonicParsing="false" onAction="#submitFinancial" text="Add New Institution" />
      <Button layoutX="590.0" layoutY="502.0" mnemonicParsing="false" onAction="#modifyFinancial" text="Modify Institution" />
      <Button layoutX="592.0" layoutY="584.0" mnemonicParsing="false" onAction="#deleteFinancial" text="Delete Institution" />
      <Button layoutX="370.0" layoutY="502.0" mnemonicParsing="false" onAction="#showDetailReports" text="View Institutions" />
      <Label layoutX="287.0" layoutY="408.0" text="*" />
      <Label layoutX="291.0" layoutY="476.0" text="*" />
      <Label layoutX="126.0" layoutY="533.0" text="* = Required" />
   </children>
</AnchorPane>
